GET /data/task-types/{instance_id}

Retrieve a task type by its ID and return it as a JSON object. Supports including relations.

Path parameters

  • instance_id string(uuid) Required

Query parameters

  • relations boolean

    Whether to include relations

Responses

  • 200 application/json

    Task type retrieved successfully

    Hide response attributes Show response attributes object
    • id string(uuid)
    • name string
    • for_entity string
    • color string
    • created_at string(date-time)
    • updated_at string(date-time)
  • 400

    Invalid ID format or query error

GET /data/task-types/{instance_id}
curl -X GET "http://api.example.com/data/task-types/a24a6ea4-ce75-4665-a070-57453082c25?relations=true" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"
import requests

url = "http://api.example.com/data/task-types/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json"
}
params = {
    "relations": true
}
payload = None

response = requests.get(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request GET 'http://api.example.com/data/task-types/a24a6ea4-ce75-4665-a070-57453082c25' \
 --header "Authorization: $API_KEY"
Response examples (200)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "name": "Animation",
  "for_entity": "Shot",
  "color": "#FF5733",
  "created_at": "2024-01-15T10:30:00Z",
  "updated_at": "2024-01-15T10:30:00Z"
}